---
title: "Create banner API JSON field targeting"
type: reference
method: POST
path: /rest-api/banner/{bannerId}/targeting/api-json-field/create.do
tag: "Targeting Rules"
---

# Create banner API JSON field targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/api-json-field/create.do`

Creates an API JSON field targeting rule for the specified banner. Requires API_JSON_FIELD targeting permission (TARGETING_API_JSON_FIELD).

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `7890` | Unique numeric ID of the banner |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `apiUrl` | string | yes | `https://api.example.com` | API URL to match |
| `jsonFieldName` | string | yes | `user.age` | JSON field path to match |
| `jsonFieldValue` | string | yes | `25` | JSON field value to match |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Banner not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/api-json-field/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'apiUrl=https://api.example.com' \
  --data-urlencode 'jsonFieldName=user.age' \
  --data-urlencode 'jsonFieldValue=25'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-banner-targeting-api-json-field-create